ARG MANAGER_VERSION="1.22.22"

FROM node:20-alpine@sha256:c0a3badbd8a0a760de903e00cedbca94588e609299820557e72cba2a53dbaa2c

WORKDIR /usr/app

# install the desired package manager
RUN npm i -g "yarn@$MANAGER_VERSION" --force

# initialize the package.json using the manager
RUN yarn init -y

# install a few dependencies at specific versions
RUN yarn add mkdirp@0.5.0
RUN yarn add --dev cryo@0.0.6

# ensure that we finish fully installed
RUN yarn install
